Subject: Multiple login issue

From: "Anil Bhandari" <[email-masked]>
Date: Wed, 4 Dec 2002 21:32:54 +0530

Hi,

I am working with a company that works in Document Management Systems. It has its own DMS. And i have written WebDAV server to access the shared repository of this DMS. I am following the RFC 2518.
The exact scenario in which i am working is as follows:
 -  I'm using Tomcat4.0 and have written the WebDAV server using RFC 2518.
 -  and using Microsoft WebFolders to access the DMS  repository.
 
Now i am facing two majors problems:
1.  First is regarding Multiple Logins. Actually, i have used the Tomcat Authentication module. So, whenever a user wants to access the shared repository of the DMS through Microsoft WebFolders, he/she has to go through the authentication procedure. Once authenticated, he can access the DMS contents. But whenever he opens resources through webfolders which open in Microsoft native applicaions like MS Word, Office, Internet Explorer etc, he is prompted for authentication again although he has already been authenticated. Therefore a single user makes multiple connections at the server. I want to find a solution so that a user is authenticated only once.
2. Also there is no means to disconnect the user from the server while using WebFolders. I also want to ask is there anyway to disconnect the user.

These are the major issues that are halting my progress. therefore, please help me to resolve these issues.
Thanx a lot.

Anil Bhandari